__gnu_parallel::__unary_negate< _Predicate, argument_type >(3cxx)

NAME
__gnu_parallel::__unary_negate< _Predicate, argument_type > - Similar to std::unary_negate, but giving the argument types explicitly.

SYNOPSIS

#include <base.h>

Inherits std::unary_function< argument_type, bool >.

  Public Types

typedef argument_type argument_type
argument_type is the type of the argument
typedef bool result_type
result_type is the return type

  Public Member Functions

__unary_negate (const _Predicate &__x)
bool operator() (const argument_type &__x)

  Protected Attributes

_Predicate _M_pred

Detailed Description

  template<typename _Predicate, typename argument_type>
class __gnu_parallel::__unary_negate< _Predicate, argument_type >"Similar to std::unary_negate, but giving the argument types explicitly.

Member Typedef Documentation

  typedef argument_type std::unary_function< argument_type, bool >::argument_type [inherited]

argument_type is the type of the argument

  typedef bool std::unary_function< argument_type, bool >::result_type [inherited]

result_type is the return type

Author

Generated automatically by Doxygen for libstdc++ from the source code.